/*====================================================================*
 -  Copyright (C) 2001 Leptonica.  All rights reserved.
 -  This software is distributed in the hope that it will be
 -  useful, but with NO WARRANTY OF ANY KIND.
 -  No author or distributor accepts responsibility to anyone for the
 -  consequences of using this software, or for whether it serves any
 -  particular purpose or works at all, unless he or she says so in
 -  writing.  Everyone is granted permission to copy, modify and
 -  redistribute this source code, for commercial or non-commercial
 -  purposes, with the following restrictions: (1) the origin of this
 -  source code must not be misrepresented; (2) modified versions must
 -  be plainly marked as such; and (3) this notice may not be removed
 -  or altered from any source or modified source distribution.
 *====================================================================*/


#ifndef  BMP_H_INCLUDED
#define  BMP_H_INCLUDED



/*-------------------------------------------------------------*
 *                       BITMAPFILEHEADER                      *
 *-------------------------------------------------------------*/
struct tagBITMAPFILEHEADER
{
    INT16	bfType;		/* file type; must be "BM" */
    INT16	bfSize;		/* length of the file;
				   sizeof(BITMAPFILEHEADER) +
				   sizeof(BITMAPINFOHEADER) +
				   size of color table +
				   size of DIB bits */
    INT16	bfFill1;	/* remainder of the bfSize field */
    INT16	bfReserved1;	/* don't care (set to 0)*/
    INT16	bfReserved2;	/* don't care (set to 0)*/
    INT16	bfOffBits;	/* offset from beginning of file */
    INT16	bfFill2;	/* remainder of the bfOffBits field */
};
typedef struct tagBITMAPFILEHEADER  BITMAPFILEHEADER;

#define BMFHBYTES 14


/*-------------------------------------------------------------*
 *                       BITMAPINFOHEADER                      *
 *-------------------------------------------------------------*/
struct tagBITMAPINFOHEADER
{
    INT32	biSize;	 	 /* size of the BITMAPINFOHEADER structure */
    INT32	biWidth;	 /* bitmap width in pixels */
    INT32	biHeight;	 /* bitmap height in pixels */
    INT16	biPlanes;	 /* number of bitmap planes */
    INT16	biBitCount;	 /* number of bits per pixel */
    INT32	biCompression;	 /* compression format (0 == uncompressed) */
    INT32	biSizeImage;	 /* size of image in bytes */
    INT32	biXPelsPerMeter; /* pixels per meter in x direction */
    INT32	biYPelsPerMeter; /* pixels per meter in y direction */
    INT32	biClrUsed; 	 /* number of colors used */
    INT32	biClrImportant;	 /* number of important colors used */
};
typedef struct tagBITMAPINFOHEADER BITMAPINFOHEADER;

#define BMIHBYTES 40


 
#endif  /* BMP_H_INCLUDED */
