package ca.bcgsc.rwong.LRUI;

/**struct to hold settings that can be set up in ParamPane
 * to transfer to LaneRulerFrame
 */
public class GelSettings {
	//absolute path of image file
	public String imageSource;
	//absolute path of input lanes file
	public String lanesSource;
	//absolute path of output lanes file
	public String lanesDest;
	//initial x zoom factor
	public double initXZoom;
	//initial y zoom factor
	public double initYZoom;
	//size of rectangle used to represent nodes
	public int rectSize;
	//width of stroke of transparency used during adjustment
	public int strokeSize;
	//number of lanes
	public int numLanes;
	//row number of first marker
	public int markerOffset;
	//number of rows that last marker is away from end of gel
	public int lastMarkerOffset;
	//number of rows between markers
	public int markerPeriod;
	//rotation of image can only be 0, 90, 180, 270
	public int rotateAngle;
	
	public GelSettings(){
	//default settings
		imageSource="";
		lanesSource="";
		lanesDest="";
		initXZoom=.8;
		initYZoom=1.6;
		rectSize=10;
		strokeSize=10;
		numLanes = 121;
		markerOffset=0;
		lastMarkerOffset=0;
		markerPeriod=5;
		rotateAngle=0;
	}
}
