package ca.bcgsc.rwong.LRUI;

import java.awt.BorderLayout;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * main class for the application, creates a ParamPane for user setup 
 * @author rwong
 *
 */
public class LaneRulerUI {
	/**
	 * initialize the default gel settings
	 * opens a JFrame with ParamPane for user setup
	 * an error line and the launch button to open the adjustment interface
	 *
	 */
    private static void createAndShowGUI() {	
	
    //Create and set up the window.
    JFrame startFrame = new JFrame("LaneRuler UI Parameters");
    startFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    
    GelSettings param = new GelSettings();
    
    JPanel startPanel = new JPanel(new BorderLayout());
    
    //create and set up a panel for user customization of gel parameters
    ParamPane p = new ParamPane(param);
    startPanel.add(p, BorderLayout.NORTH);
   
    //label for eventual error output   
    JLabel statusLine = new JLabel("Please specify parameters and launch interface.");
    statusLine.setBorder(BorderFactory.createLoweredBevelBorder());
    startPanel.add(statusLine, BorderLayout.CENTER);
    
    //launch button
    JButton launchButton = new JButton("Launch GUI");
    launchButton.setActionCommand("launch");
    launchButton.setToolTipText("Launch LaneRuler GUI with set parameters.");
	launchButton.addActionListener(new LaunchListener(startFrame, param, statusLine));
	startPanel.add(launchButton, BorderLayout.SOUTH);
     
    //Display the window.
    startFrame.getContentPane().add(startPanel);
    
    startFrame.pack();
    startFrame.setVisible(true);
    }
	/**
	 * main method for the application
	 * getSystemLookAndFeel resulted in slow down of application, so it is not used
	 * @param args
	 */
	public static void main(String[] args) {
//		try{
//			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
//		}catch (UnsupportedLookAndFeelException e) {     
//			//do nothing
//		}
//		catch (ClassNotFoundException e) {
//		       // handle exception
//	    }
//	    catch (InstantiationException e) {
//	       // handle exception
//	    }
//	    catch (IllegalAccessException e) {
//	       // handle exception
//	    }
		   		
        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                createAndShowGUI();
            }
        });

	}

}


