/**@file checknogrowths.h
 *\brief header file for checknogrowths.c, 
 *contains functions to extract the median row for each lane and 
 *outputs the thresholded roughness and maxdiff to a file 
 */

#ifndef CHECKNOGROWTHS_H 
#define CHECKNOGROWTHS_H

#include "allheaders.h"
#include "gelinfo.h"
#include "anacutoff.h"

/**\brief go down an image and place the median value in each column into an array*/
void extractRow(float **laneintensity, int imageWidth, int imageHeight, float* median);
/**\brief output the maxdiff and thresrough (threshold 1) of every lane
 *suspected contaminated lanes is marked by negative thresrough*/
void checkNoGrows(FILE *OUTFILE, PIX *pixGel, float **PeakPosition, float *NodePosition, struct GelInfo *GelInfo, struct AnaCutoff *AnaCutoff, int Verbose);


#endif
