/**@file noisedetect.h
 *\brief header file for noisedetect.c, contains functions to find multi-lane noise*/

#include "allheaders.h"
#include "gelinfo.h"
#include "anacutoff.h"

#ifndef NOISEDETECT_H
#define NOISEDETECT_H

/**\brief calculate average lane spacing over gel given a set of peak positions*/
float averageLaneSpacing(float** PeakPosition, struct GelInfo* GelInfo);
/**\brief count the number of lanes with noise galaxy present*/
void detectNoise(PIX* pixIn, float** PeakPosition, float* NodePosition, struct GelInfo* GelInfo,  struct AnaCutoff* AnaCutoff, int *noisePresent, int Verbose);
#endif
/**\brief counts the maximum span of values over a cutoff*/
int countMaxConsec(int *noise, int nlanes, float cutoff);
