/**@file toneadjust.h 
 *\brief header file for toneadjust.c, has function for tone mapping 
 *for contrast enhancement using a bezier curve
 */

#ifndef TONEADJUST_H
#define TONEADJUST_H

#include "allheaders.h"
#include "gelinfo.h"

/**\brief size cutoff for determining large zone as multiple of the size of the smallest zone*/ 
#define LARGE_ZONESIZE_CUTOFF_FACTOR 1.5
/**\brief number of points sampled on the Bezier curve*/
#define BEZIER_NUMPOINTS 100
/**\brief magic number used to determine p1 for the Bezier curve*/
#define BEZIER_P1X_FACTOR 2.2

/**\brief tone adjust a PIX in large zones to bring up contrast of faint bands
*/
PIX *adjustTone(PIX *pixGel, INT32 **ZoneProjection, struct GelInfo *GelInfo, int *ZoneID, int *ToneAdjusted, int Verbose); 
#endif
 
